import request from '@/utils/request'

//首页 左一（1）
export function numberShow(query) {
  return request({
    url: '/subcontract/website/index/numberShow',
    method: 'get',
    params: query
  })
}
//首页 左一（2）
export function numberShowBasic(query) {
  return request({
    url: '/subcontract/website/index/numberShowBasic',
    method: 'get',
    params: query
  })
}
//首页 左二
export function poorHouseholdsMonitorData(query) {
  return request({
    url: '/subcontract/website/poorHouseholdsMonitorData/'+query.deptId,
    method: 'get'
  })
}
//首页 左三
export function getEveryYearsPovertyData(query) {
  return request({
    url: '/subcontract/website/getEveryYearsPovertyData/'+query.deptId,
    method: 'get',
  })
}
//首页 右一
export function news(query) {
  return request({
    url: '/subcontract/website/news',
    method: 'get',
    params: query
  })
}
//首页 村组情况
export function getVillageGroupNum(query) {
  return request({
    url: '/subcontract/website/getVillageGroupNum/'+query.deptId,
    method: 'get',
    params: query
  })
}
//首页 农户列表
export function getTSysFarmerList(query) {
  return request({
    url: '/subcontract/website/getTSysFarmerList',
    method: 'get',
    params: query
  })
}
//首页 党组织代表
export function getTHzPartyOrganizationList(query) {
  return request({
    url: '/subcontract/website/getTHzPartyOrganizationList',
    method: 'get',
    params: query
  })
}
//首页 网格列表
export function getTHzGridManagementList(query) {
  return request({
    url: '/subcontract/website/getTHzGridManagementList',
    method: 'get',
    params: query
  })
}
//首页 党员列表
export function getTHzPartyMemberList(query) {
  return request({
    url: '/subcontract/website/getTHzPartyMemberList',
    method: 'get',
    params: query
  })
}
//首页 维稳动态
export function getGovernStableLimitList(query) {
  return request({
    url: '/subcontract/website/getGovernStableLimitList/'+query.deptId+"/"+query.limit,
    method: 'get',
  })
}
//首页 经济组织
export function bookList(query) {
  return request({
    url: '/subcontract/website/bookList',
    method: 'get',
    params: query
  })
}
//三务公开 左1
export function threeAffairsStatisticalData(query) {
  return request({
    url: '/subcontract/website/threeAffairsStatisticalData/'+query.deptId,
    method: 'get',
  })
}
//三务公开 党务
export function getPartyAffairsInformation(query) {
  return request({
    url: '/subcontract/website/getPartyAffairsInformation',
    method: 'get',
    params: query
  })
}
//三务公开 政务
export function getGovernAffairsInformation(query) {
  return request({
    url: '/subcontract/website/getGovernAffairsInformation',
    method: 'get',
    params: query
  })
}
//三务公开 村务
export function getVillageAffairsInformation(query) {
  return request({
    url: '/subcontract/website/getVillageAffairsInformation',
    method: 'get',
    params: query
  })
}
//三务公开 查询
export function getInforByTitleAndDict(query) {
  return request({
    url: '/subcontract/website/getInforByTitleAndDict',
    method: 'get',
    params: query
  })
}
//三资公开 基本信息
export function getAssetsBasicInformation(query) {
  return request({
    url: '/subcontract/website/getAssetsBasicInformation/'+query.deptId,
    method: 'get',
  })
}
//三资公开 财务状况
export function getAssetsFinance(query) {
  return request({
    url: '/subcontract/website/getAssetsFinance/'+query.deptId,
    method: 'get',
  })
}
//三资公开 财务收支表
export function getFinanceList(query) {
  return request({
    url: '/subcontract/website/details/list',
    method: 'get',
    params: query
  })
}
//三资公开 三字公开成员列表
export function getStockMemberList(query) {
  return request({
    url: '/subcontract/website/stockMember/list',
    method: 'get',
    params: query
  })
}
//三资公开 成员股份列表
export function getStockRightList(query) {
  return request({
    url: '/subcontract/website/stockRight/list',
    method: 'get',
    params: query
  })
}
//返贫检测 中2
export function getNowPovertyData(query) {
  return request({
    url: '/subcontract/website/getNowPovertyData/'+query.deptId,
    method: 'get',
  })
}
//返贫检测 中2
export function getHealthConditionData(query) {
  return request({
    url: '/subcontract/website/getHealthConditionData/'+query.deptId,
    method: 'get',
  })
}
//返贫检测 中2
export function getEasypovertyData(query) {
  return request({
    url: '/subcontract/website/getEasypovertyData/'+query.deptId,
    method: 'get',
  })
}
//社保补贴 养老金列表
export function getPensionList(query) {
  return request({
    url: '/subcontract/website/pension/list',
    method: 'get',
    params: query
  })
}
//社保补贴 补贴资金
export function getSubsidyFundsList(query) {
  return request({
    url: '/subcontract/website/subsidyFunds/list',
    method: 'get',
    params: query
  })
}
//社保补贴 补贴资金
export function pensionAndSubsidyData(query) {
  return request({
    url: '/subcontract/website/pensionAndSubsidyData/'+query.deptId,
    method: 'get',
  })
}
//综合维稳 左1
export function getGovernStableData(query) {
  return request({
    url: '/subcontract/website/getGovernStableData/'+query.deptId,
    method: 'get',
  })
}
//综合维稳 维稳趋势
export function getStableTrendData(query) {
  return request({
    url: '/subcontract/website/getStableTrendData/'+query.deptId,
    method: 'get',
  })
}
//综合维稳 分类数量
export function getClassificationData(query) {
  return request({
    url: '/subcontract/website/getClassificationData/'+query.deptId,
    method: 'get',
  })
}
//综合维稳 维稳列表
export function getGovernStableInformation(query) {
  return request({
    url: '/subcontract/website/getGovernStableInformation',
    method: 'get',
    params: query
  })
}
//返贫检测 贫苦户清单列表
export function poorHouseholdlist(query) {
  return request({
    url: '/subcontract/website/poorHouseholdlist',
    method: 'get',
    params: query
  })
}
//乡村治理 工作职责
export function getPartyOrganization(query) {
  return request({
    url: '/subcontract/website/getPartyOrganization/'+query.id,
    method: 'get',
  })
}
//乡村治理 党组成员
export function getPartyMember(query) {
  return request({
    url: '/subcontract/website/getPartyMember/'+query.id,
    method: 'get',
  })
}
//乡村治理 网格组织
export function getGridManagement(query) {
  return request({
    url: '/subcontract/website/getGridManagement/'+query.id,
    method: 'get',
  })
}
